# Class UrlOptions

java.lang.Object
uk.ac.starlink.topcat.UrlOptions

public class UrlOptions extends Object
Defines an action that consumes a URL.

Some useful implementations are provided by static factory methods.

Since:
  6 Feb 2018
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`UrlOptions(UrlInvoker[] invokers, Map<ResourceType, UrlInvoker> dfltMap)`

## Method Summary

Modifier and Type
Method
Description
`static UrlOptions`
`createOptions(DatalinkPanel dlPanel, String contextTitle)`
Returns a UrlOptions instance.
`Map<ResourceType, UrlInvoker>`
`getDefaultsMap()`
`UrlInvoker[]`
`getInvokers()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UrlOptions

public UrlOptions(UrlInvoker[] invokers, Map<ResourceType, UrlInvoker> dfltMap)

## Method Details

### getInvokers

public UrlInvoker[] getInvokers()

### getDefaultsMap

public Map<ResourceType, UrlInvoker> getDefaultsMap()

### createOptions

public static UrlOptions createOptions(DatalinkPanel dlPanel, String contextTitle)
Returns a UrlOptions instance.

Parameters:
  `dlPanel` - existing datalink panel to use if one is required; may be null
  `contextTitle` - string to use as base title for new windows etc; may be null
Returns:
  new instance